Bug 34591 - Anti-aliased fonts totally broken! (QA0401)
Anti-aliased fonts totally broken! (QA0401)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2001-04-03 19:12 EDT by Chris Evans
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-06 18:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2001-04-03 19:12:21 EDT
This is with QA0401.
I activated the "Anti-aliased fonts" options in KDE.
Restarted KDE.
Now the fonts are all totally hosed. The font for
_everything_ now seems to have been set to the true
type font "Arbia" (the first one alphabetically).
Unfortunately this font is a handwriting-like font and
totally unreadable (especially when small).
Furthermore, I brought up the control centre and went
to "Look and feel -> Fonts". Pressing "Use Defaults"
filled the font choices with sensible looking font
choices. But upon pressing "Apply", KDE pauses a bit
but most of your fonts are still left as the unreadable
Ariba font.
Comment 1 Chris Evans 2001-04-04 15:55:48 EDT
I consider this serious - the AA font capabilities
are perhaps the most touted feature of the new
KDE2.1/Qt2.3/XFree4.0.3 combination.
If it can't get fixed, then the checkbox to enable
AA fonts should be greyed out or removed. Better not
ship an option which knackers the desktop :-)

Comment 2 Bernhard Rosenkraenzer 2001-04-15 17:57:39 EDT
This is caused by the fact that the Xrender extension is pretty much a work in 
progress. If it can't find a suitable font (and the "normal" fonts, like 
Helvetica, aren't suitable for anti-aliasing), it has no way of knowing what 
font should be used, so it picks any font. (It does respect fixed width vs. 
proportional settings though).

The specific workaround for KDE is to enable anti-aliasing and pick other 
fonts in kcontrol/Look & Feel/Fonts -- we don't do this by default because the 
other fonts don't look as well as the default fonts when AA is turned off.

Disabling the AA option in KControl is not a good fix because it works quite 
well once you pick suitable fonts in KControl/Look & Feel/Fonts.

Setting to "deferred" as in "waiting for Xrender to stabilize".

Comment 3 Chris Evans 2001-08-06 18:20:49 EDT
Can we revisit this?
There are issues with RH7.2beta3.
Note that the XRender BETA status seems to be resolved. Also,
RedHat are using AA fonts in the default GNOME desktop (via
Nautilus). Also, the KDE setup screen will use AA fonts by
default if you select a fast processor option. So I think
AA fonts are fair play in RH7.2
Onto the bug, which is irritating! When AA fonts are activated
in KDE, every damn font defaults to fixed width courier. Sure,
it's AA but it's ugly and unreadable as hell.
So go to the control centre, fonts section. Hit "Defaults". Sure
enough, decent font choices appear, Helvetica in my case. And,
the demo Helvetica text is beautifully AA rendered! However,
when you OK the change, it is largely ignored. The fonts used
on the desktop do not change. On re-entering the font dialog,
the choices have snapped back to useless courier.
Can this get fixed? I'm so close to a lovely AA desktop :-)
Comment 4 Bernhard Rosenkraenzer 2001-08-29 10:24:11 EDT
This is fixed in RC1. Make sure you installed urw-fonts and ttfonts though 
(and make sure you're using the current XFree86, there are big problems with 
XftConfig in earlier versions)

Note You need to log in before you can comment on or make changes to this bug.